/*Colors:
white: #F0F0F0
black: #1B1C1C
red #F24B27
green #D2F24F
*/
a {
    text-decoration: none;
}

footer a:link {
    color: #F0F0F0;
  }
  
  footer  a:visited {
    color: #F0F0F0;
  }
  
  footer  a:hover {
    color: #D2F24F;
  }
  

body {
    margin: auto; 
    background-color: #fff;
    color: #1B1C1C;
    font-family: "Poppins", sans-serif;
    font-weight: 300;
    font-style: normal;
    overflow-x: hidden;
}

main{
    margin: auto;
    width: calc(80vw + 40px);
    padding: 60px 0px;
}

.green-button{
    text-align: center;
    background-color: #D2F24F;
    color: #1B1C1C;
    border-radius: 20px;
    border: 0px;
    float: left;
    padding: 12px 24px;
    font-weight: 500;
    cursor: pointer;
    font-size: 16px;
}

.green-button:hover{
    color: #F24B27;
    background-color: #F0F0F0;
}

.green-button.white-hover:hover{
    color: #F24B27;
    background-color: #FFF;
}

.white-button{
    text-align: center;
    background-color: transparent;
    color: #F0F0F0;
    border-radius: 20px;
    border: 2px solid #F0F0F0;
    float: left;
    padding: 12px 24px;
    font-weight: 500;
    cursor: pointer;
    font-size: 16px;
}

.white-button:hover{
    color: #F24B27;
    background-color: #F0F0F0;
}

header{
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;
    background-image: url("assets/header.jpg");
    background-position: 50%;
    padding:20px 0px;
    color: white;
    min-height: 500px;
}

header .header-contnet {
    margin: auto;
    width: calc(80vw + 40px);
    padding: 60px 0px;
}

header .header-contnet a:last-child{
    margin-left: 16px;
}

header .header-contnet h1{
    font-weight: 500;
    font-size: 62px;
    line-height: 62px;
}

header .header-contnet h2{
    font-weight: 300;
    font-size: 28px;
    line-height: 28px;
    margin-bottom: 40px;
}

header nav{
    background: rgba(240, 240, 240, 0.5);
    backdrop-filter: blur(4px);
    border-radius: 40px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-left: 20px;
    padding-right: 20px;
    font-weight: 500;
    margin: auto;
    width: 80vw;
}

header nav ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    overflow: hidden;
    display: flex;
    align-items: center;
}

header nav li {
    float: left;
}

header nav .button {
    text-align: center;
    background-color: #F0F0F0;
    color: #F24B27;
    border-radius: 20px;
    border: 0px;
    float: left;
    padding: 8px 16px;
    font-weight: 500;
    cursor: pointer;
    font-size: 16px;
    margin-left: 16px;
}

header nav .button:hover{
    background-color: #D2F24F;
    color: #3f3f3f;
}

header nav li a {
    display: block;
    color: #F0F0F0;
    text-align: center;
    padding: 16px;
    text-decoration: none;
}

header nav li a:hover {
    color: #1B1C1C;
}

footer{
    background-color: #1B1C1C;
    color: #F0F0F0;
    border:0px;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
}

footer .footer-content{
    margin: auto;
    padding: 60px 40px;
    display: flex;
}

footer .footer-content div{
    padding: 0px 60px;
    border-right: 1px solid #3f3f3f;
    font-size: 14px;
    width: fit-content;
    display: flex;
    flex-direction: column;
}

footer .footer-content div:first-child{
    flex: 1;
}

footer .footer-content div:last-child{
    border-right: 0px;
}

footer .footer-content h3{
    margin:0px;
    margin-bottom: 20px;
    font-weight: 300;
    font-size: 18px;
}

main section {
    padding: 30px 0px;
}

main section h2{
    font-weight: 500;
}

main section#services .services-content{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 30px;
}

main section#services .services-content div{
    overflow: hidden; 
    border: 1px solid #3f3f3f;
    padding: 15px;
    border-radius: 20px;
}
main section#services .services-content div h4{
    font-weight: 500;
    font-size: 20px;
    margin: 10px 0px;
}

main section#services .services-content div p{
    height: 80px;
    font-size: 14px;
    color: #8b8b8b;
}
main section#services .services-content div img{
    object-fit: cover;
    border-radius: 16px;
    height: 180px;
    width: 100%;
}

main section#services .services-content div button{
    border-radius: 16px;
}

main section#app {
    background-color: #f0f0ec;
    width: calc(100vw);
    margin-top: 100px;
    margin-bottom: 75px;
    margin-left: calc(-10vw + 10px);
}

main section#app .content{
    width: calc(80vw + 20px);
    margin: auto;
    overflow: hidden;
}

main section#app .content div{
    width: 60%;
}

main section#app .content div a{
    margin-top:25px
}


main section#app .content img{
    object-fit: cover;
    width: 600px;
    right: -100px;
    top: 1200px;
    position: absolute;
}

@media only screen and (max-width: 600px) {
    main section#services .services-content {
        grid-template-columns: 1fr;
    }
    
    header nav {
        justify-content: center;
        padding: 10px;
        font-size: 20px;
    }

    header nav ul {
        display: none;
    }

    .header-contnet{
        display: flex;
        flex-direction: column;
        gap: 20px;
    }

    .header-contnet a{
        margin: 0px !important;
    }

    main section#app .content img{
        object-fit: cover;
        position: sticky;
        width: 100%;        
    }

    main section#app .content{
        width: calc(80vw + 20px);
    }
    
    main section#app .content div{
        width: 100%;
    }

    footer .footer-content{
        flex-direction: column;
    }

    footer .footer-content div{
        padding: 0px;
        border: 0px;
        margin-bottom: 40px;
    }

    footer .footer-content div:last-child{
        margin-bottom: 0px;
    }

    main section#app{
        margin-bottom: 35px;
    }
  }